/*
 * @(#)ActivationChild.java
 *
 * (c) Copyright Danny B. Lange & Mitsuru Oshima, 1998
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,
 * THE WARRANTY OF NON-INFRINGEMENT AND THE WARRANTIES
 * OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * THE AUTHORS WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED
 * BY YOU AS A RESULT OF USING THIS SAMPLE PROGRAM. IN NO
 * EVENT WILL THE AUTHORS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT CONSEQUENTIAL DAMAGES OR LOST PROFITS EVEN IF
 * THE AUTHORS HAS BEEN ADVISED OF THE POSSIBILITY OF
 * THEIR OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS
 * OR DATA. THE AUTHORS WILL NOT BE LIABLE FOR ANY THIRD
 * PARTY CLAIMS AGAINST YOU.
 */

package agletbook;

import com.ibm.aglet.*;
import com.ibm.aglet.event.*;

import java.net.URL;

public class ActivationChild extends Aglet {

   public void onCreation(Object o) {
   	addPersistencyListener(
   	   new PersistencyAdapter() {
	      public void onDeativating(PersistencyEvent e) {
                 print("\'onDeactivating()\' is starting...");
                 pause();
                 print("\'onDeactivating()\' is finishing.");
              }
              public void onActivation(PersistencyEvent e) {
                 print("\'onActivation()\' is starting...");
                 pause();
                 print("\'onActivation()\' is finishing.");
              }
	   }
        );
   }

   public void run() {
      print("\'run()\' is starting...");
      pause(); pause();
      print("\'run()\' is finishing.");
   }

   void print(String s) { System.out.println(ActivationExample.NAME + "  (child): " + s); }
   private static long SLEEP = 3000;
   void pause() { try { Thread.sleep(SLEEP); } catch (InterruptedException ie) { } }
}

