/*
 * @(#)ListingAglet1.java
 *
 * (c) Copyright Danny B. Lange & Mitsuru Oshima, 1998
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,
 * THE WARRANTY OF NON-INFRINGEMENT AND THE WARRANTIES
 * OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * THE AUTHORS WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED
 * BY YOU AS A RESULT OF USING THIS SAMPLE PROGRAM. IN NO
 * EVENT WILL THE AUTHORS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT CONSEQUENTIAL DAMAGES OR LOST PROFITS EVEN IF
 * THE AUTHORS HAS BEEN ADVISED OF THE POSSIBILITY OF
 * THEIR OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS
 * OR DATA. THE AUTHORS WILL NOT BE LIABLE FOR ANY THIRD
 * PARTY CLAIMS AGAINST YOU.
 */

package agletbook;

import com.ibm.aglet.*;
import com.ibm.aglet.event.*;
import java.io.*;

public class ListingAglet1 extends Aglet {

   AgletProxy _proxy = null;
   File _dir = null;

   public void onCreation(Object args) {
      _dir = (File)((Object[])args)[0];
      _proxy = (AgletProxy)((Object[])args)[1];
      addMobilityListener(
         new MobilityAdapter() {
            public void onArrival(MobilityEvent me) {
	       try {
                  _proxy.sendMessage(new Message("Listing", _dir.list()));
               } catch (Exception e) {
                  dispose();
	       }
	    }
	 }
      );
   }
}



