/*
 * @(#)MyFirstAglet.java
 *
 * (c) Copyright Danny B. Lange & Mitsuru Oshima, 1998
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,
 * THE WARRANTY OF NON-INFRINGEMENT AND THE WARRANTIES
 * OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * THE AUTHORS WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED
 * BY YOU AS A RESULT OF USING THIS SAMPLE PROGRAM. IN NO
 * EVENT WILL THE AUTHORS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT CONSEQUENTIAL DAMAGES OR LOST PROFITS EVEN IF
 * THE AUTHORS HAS BEEN ADVISED OF THE POSSIBILITY OF
 * THEIR OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS
 * OR DATA. THE AUTHORS WILL NOT BE LIABLE FOR ANY THIRD
 * PARTY CLAIMS AGAINST YOU.
 */

package agletbook;

import com.ibm.aglet.*;

public class MyFirstAglet extends Aglet {

   public void onCreation(Object init) {
      print("STARTING --------------------");
      print("Initializing...");
   }

   public void run() {
      print("Running...");
   }

   public boolean handleMessage(Message msg) {
      print("Received the message: \'" + msg.getKind() + "\'.");
      if (msg.sameKind("hello")) {
         doHello();    // Respond to the 'hello' message...
         return true;  // Yes, I handled this message.
      } else
         return false; // No, I did not handle this message.
   }

   private void doHello() {
      print("Hello World!");
   }

   static public String NAME = "MyFirstAglet";
   private void print(String s) { System.out.println(NAME + ": " + s); }
}



