/*
 * @(#)MyMaster1.java
 *
 * (c) Copyright Danny B. Lange & Mitsuru Oshima, 1998
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,
 * THE WARRANTY OF NON-INFRINGEMENT AND THE WARRANTIES
 * OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * THE AUTHORS WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED
 * BY YOU AS A RESULT OF USING THIS SAMPLE PROGRAM. IN NO
 * EVENT WILL THE AUTHORS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT CONSEQUENTIAL DAMAGES OR LOST PROFITS EVEN IF
 * THE AUTHORS HAS BEEN ADVISED OF THE POSSIBILITY OF
 * THEIR OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS
 * OR DATA. THE AUTHORS WILL NOT BE LIABLE FOR ANY THIRD
 * PARTY CLAIMS AGAINST YOU.
 */

package agletbook;

import com.ibm.aglet.*;
import java.net.URL;
import java.util.*;

public class MyMaster1 extends Aglet {

   public void run() {
      print("STARTING --------------------");
      try {
         print("Creating the child...");
         Vector destinations = new Vector();
         destinations.addElement(new URL("atp://killi.genmagic.com"));
         destinations.addElement(new URL("atp://killi.genmagic.com"));
         destinations.addElement(new URL("atp://killi.genmagic.com"));
         destinations.addElement(new URL("atp://killi.genmagic.com"));
         destinations.addElement(new URL("atp://killi.genmagic.com"));
         destinations.addElement(new URL("atp://killi.genmagic.com"));
         URL origin = getAgletContext().getHostingURL();
         SeqItinerary itinerary = new SeqItinerary(origin, destinations);
         AgletProxy thisProxy = getAgletContext().getAgletProxy(getAgletID());
	 Object[] args = new Object[] { itinerary, thisProxy };
	 getAgletContext().createAglet(getCodeBase(),
       	                               "agletbook.MySlave1",
       	                               args);
         print("Finished creating the child.");
      } catch (Exception e) {
         print("Failed to create the child.");
         print(e.getMessage());
      }
   }

   public boolean handleMessage(Message msg) {
      if (msg.sameKind("Result"))
         print("Received a result: \'" + msg.getArg() + "\'");
      return true;
   }

   static public String NAME = "MyMaster1";
   private void print(String s) { System.out.println(NAME + ": " + s); }
   private static long SLEEP = 3000;
   private void pause() { try { Thread.sleep(SLEEP); } catch (InterruptedException ie) { } }
}



