/*
 * @(#)Register.java
 *
 * (c) Copyright Danny B. Lange & Mitsuru Oshima, 1998
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY 
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, 
 * THE WARRANTY OF NON-INFRINGEMENT AND THE WARRANTIES 
 * OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * THE AUTHORS WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED 
 * BY YOU AS A RESULT OF USING THIS SAMPLE PROGRAM. IN NO 
 * EVENT WILL THE AUTHORS BE LIABLE FOR ANY SPECIAL, 
 * INDIRECT CONSEQUENTIAL DAMAGES OR LOST PROFITS EVEN IF 
 * THE AUTHORS HAS BEEN ADVISED OF THE POSSIBILITY OF 
 * THEIR OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS 
 * OR DATA. THE AUTHORS WILL NOT BE LIABLE FOR ANY THIRD 
 * PARTY CLAIMS AGAINST YOU.
 */
 
package agletbook;

import com.ibm.aglet.*;
import com.ibm.aglet.event.*;

public class Register extends MobilityAdapter {
   
   AgletProxy _finder;
   Message _msg = new Message("Register");

   public Register(AgletProxy finder, String name) {
      _msg.setArg("NAME", name);
      _finder = finder;
   }

   public void onArrival(MobilityEvent me) {
      try {
         _msg.setArg("PROXY", me.getAgletProxy());
         _finder.sendMessage(_msg);
      } catch (Exception e) {
         //...
      }
   }

   public void unregister() {
      try {
         Message unregister = new Message("Unregister");
         unregister.setArg("NAME", _msg.getArg("NAME"));
         _finder.sendMessage(unregister);
      } catch (Exception e) {
      	 //...
      }
   }
}

