/*
 * @(#)RemRetrievalChild2.java
 *
 * (c) Copyright Danny B. Lange & Mitsuru Oshima, 1998
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY 
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, 
 * THE WARRANTY OF NON-INFRINGEMENT AND THE WARRANTIES 
 * OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * THE AUTHORS WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED 
 * BY YOU AS A RESULT OF USING THIS SAMPLE PROGRAM. IN NO 
 * EVENT WILL THE AUTHORS BE LIABLE FOR ANY SPECIAL, 
 * INDIRECT CONSEQUENTIAL DAMAGES OR LOST PROFITS EVEN IF 
 * THE AUTHORS HAS BEEN ADVISED OF THE POSSIBILITY OF 
 * THEIR OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS 
 * OR DATA. THE AUTHORS WILL NOT BE LIABLE FOR ANY THIRD 
 * PARTY CLAIMS AGAINST YOU.
 */
 
package agletbook;

import com.ibm.aglet.*;
import java.net.URL;

public class RemRetrievalChild2 extends Aglet {
   URL url;
   AgletID aid;

   public void onCreation(Object init) {
   	print("Is created.");
   	Object args[] = (Object[])init;
	url = (URL)args[0];
	aid = (AgletID)args[1];
   	print("My brother has the URL: \'" + url + "\'");
   	print("My brother has the AID: \'" + aid + "\'");
   }

   public void run() {
      try {
         AgletProxy proxy = getAgletContext().getAgletProxy(url, aid);
      	 print("Sending a message to my brother...");
   	 proxy.sendMessage(new Message("Hello brother"));
      	 print("Finished sending a message to my brother...");
      } catch (Exception e) { 
         print("Failed to retrieve \'RetrievalChild1\'.");
         print(e.getMessage());							      
      }   	 
   }

   private void print(String s) { System.out.println(RemRetrievalExample.NAME + " (child 2): " + s); }
}


