/*
 * @(#)ControllerChild.java
 *
 * (c) Copyright Danny B. Lange & Mitsuru Oshima, 1998
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,
 * THE WARRANTY OF NON-INFRINGEMENT AND THE WARRANTIES
 * OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * THE AUTHORS WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED
 * BY YOU AS A RESULT OF USING THIS SAMPLE PROGRAM. IN NO
 * EVENT WILL THE AUTHORS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT CONSEQUENTIAL DAMAGES OR LOST PROFITS EVEN IF
 * THE AUTHORS HAS BEEN ADVISED OF THE POSSIBILITY OF
 * THEIR OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS
 * OR DATA. THE AUTHORS WILL NOT BE LIABLE FOR ANY THIRD
 * PARTY CLAIMS AGAINST YOU.
 */

package agletbook;

import com.ibm.aglet.*;
import com.ibm.aglet.event.*;
import java.net.*;

public class ControllerChild1 extends Aglet {

   AgletProxy _controller = null;

   public void onCreation(Object o) {
      _controller = (AgletProxy)o;
      addMobilityListener(
   	 new MobilityAdapter() {
	    public void onArrival(MobilityEvent me) {
               try {
                  _controller.sendFutureMessage(new Message("Hello"));
               } catch (Exception e) {
                  print("Failed to send the message.");
                  print(e.getMessage());
               }
            }
         }
      );
   }

   public void run() {
      print("Running...");
   }

   void print(String s) { System.out.println(ControllerExample1.NAME + "  (child): " + s); }
}




