/*
 * @(#)ExceptionChild.java
 *
 * (c) Copyright Danny B. Lange & Mitsuru Oshima, 1998
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,
 * THE WARRANTY OF NON-INFRINGEMENT AND THE WARRANTIES
 * OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * THE AUTHORS WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED
 * BY YOU AS A RESULT OF USING THIS SAMPLE PROGRAM. IN NO
 * EVENT WILL THE AUTHORS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT CONSEQUENTIAL DAMAGES OR LOST PROFITS EVEN IF
 * THE AUTHORS HAS BEEN ADVISED OF THE POSSIBILITY OF
 * THEIR OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS
 * OR DATA. THE AUTHORS WILL NOT BE LIABLE FOR ANY THIRD
 * PARTY CLAIMS AGAINST YOU.
 */

package agletbook;

import com.ibm.aglet.*;

public class ExceptionChild extends Aglet {

   public void run() {
      print("Running...");
   }

   public boolean handleMessage(Message msg) {
      print("Received a message: \'" + msg.getKind() + "\'");
      if (msg.sameKind("Set the height")) {
         print("Handling \'Set the height\'");
         if (((Integer)msg.getArg()).intValue() < 0) {
            print("Hmm, invalid value for \'height\'");
	    msg.sendException(new Exception("Illegal value"));
	 }
         return true;
      }
      return false;
   }

   private static long SLEEP = 3000;
   private void pause() { try { Thread.sleep(SLEEP); } catch (InterruptedException ie) { } }
   private void print(String s) { System.out.println(ExceptionExample.NAME + "  (child): " + s); }
}





