/*
 * @(#)ListingAglet2.java
 *
 * (c) Copyright Danny B. Lange & Mitsuru Oshima, 1998
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,
 * THE WARRANTY OF NON-INFRINGEMENT AND THE WARRANTIES
 * OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * THE AUTHORS WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED
 * BY YOU AS A RESULT OF USING THIS SAMPLE PROGRAM. IN NO
 * EVENT WILL THE AUTHORS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT CONSEQUENTIAL DAMAGES OR LOST PROFITS EVEN IF
 * THE AUTHORS HAS BEEN ADVISED OF THE POSSIBILITY OF
 * THEIR OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS
 * OR DATA. THE AUTHORS WILL NOT BE LIABLE FOR ANY THIRD
 * PARTY CLAIMS AGAINST YOU.
 */

package agletbook;

import com.ibm.aglet.*;
import com.ibm.aglet.event.*;
import java.io.*;
import java.net.*;

public class ListingAglet2 extends Aglet {

   boolean back = false;
   String[] list = null;
   URL origin = null;
   File dir = new File("C:");

   public void onCreation(Object o) {
      addMobilityListener(
         new MobilityAdapter() {
            public void onArrival(MobilityEvent me) {
               if (back) {
                  for (int i = 0; i < list.length; )
                     System.out.println(i + ": " + list[i++]);
                  dispose();
               } else {
	          try {
                     list = dir.list();
		     back = true;
		     dispatch(origin);
                  } catch (Exception e) {
                     dispose();
                  }
	       }

	    }
	 }
      );
      origin = getAgletContext().getHostingURL();
      try {
      	 dispatch(new URL("atp://killi.genmagic.com"));
      } catch (Exception e) {

      }

   }
}




