/*
 * @(#)MessageChild.java
 *
 * (c) Copyright Danny B. Lange & Mitsuru Oshima, 1998
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,
 * THE WARRANTY OF NON-INFRINGEMENT AND THE WARRANTIES
 * OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * THE AUTHORS WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED
 * BY YOU AS A RESULT OF USING THIS SAMPLE PROGRAM. IN NO
 * EVENT WILL THE AUTHORS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT CONSEQUENTIAL DAMAGES OR LOST PROFITS EVEN IF
 * THE AUTHORS HAS BEEN ADVISED OF THE POSSIBILITY OF
 * THEIR OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS
 * OR DATA. THE AUTHORS WILL NOT BE LIABLE FOR ANY THIRD
 * PARTY CLAIMS AGAINST YOU.
 */

package agletbook;

import com.ibm.aglet.*;

public class MessageChild extends Aglet {

   public void run() {
      print("Running...");
   }

   public boolean handleMessage(Message msg) {
      if (msg.sameKind("Hello"))
         print("Handling \'Hello\': ");
      else if (msg.sameKind("Greeting"))
         print("handling \'Greeting\': " + msg.getArg());
      else if (msg.sameKind("Height")) {
         int height = ((Integer)msg.getArg()).intValue();
         print("handling \'Height\': " + height);
      }
      return true;
   }

   private void print(String s) { System.out.println(MessageExample.NAME + "  (child): " + s); }
}




