/*
 * @(#)ReplySetChild.java
 *
 * (c) Copyright Danny B. Lange & Mitsuru Oshima, 1998
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY 
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, 
 * THE WARRANTY OF NON-INFRINGEMENT AND THE WARRANTIES 
 * OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * THE AUTHORS WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED 
 * BY YOU AS A RESULT OF USING THIS SAMPLE PROGRAM. IN NO 
 * EVENT WILL THE AUTHORS BE LIABLE FOR ANY SPECIAL, 
 * INDIRECT CONSEQUENTIAL DAMAGES OR LOST PROFITS EVEN IF 
 * THE AUTHORS HAS BEEN ADVISED OF THE POSSIBILITY OF 
 * THEIR OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS 
 * OR DATA. THE AUTHORS WILL NOT BE LIABLE FOR ANY THIRD 
 * PARTY CLAIMS AGAINST YOU.
 */
 
package agletbook;

import com.ibm.aglet.*;

public class ReplySetChild extends Aglet {

   String id = null;

   public void onCreation(Object o) {
      try {
      	 id = (String)o;
         print("\'" + id + "\' subscribing to \'Hello Everybody\'");   	
         subscribeMessage("Hello Everybody");
      } catch (Exception e) {
      	 print("Failed to subscribe to \'Hello Everybody\'");
	 print(e.getMessage());
      }
   }


   public void run() {
      print("Running...");
   }

   public boolean handleMessage(Message msg) {
      if (msg.sameKind("Hello Everybody")) {
      	 pause();
    	 print("\'" + id + "\' says Hi!");
    	 msg.sendReply("\'" + id + "\' replies");
         return true;
      }
      return false;
   }
      
   private void print(String s) { System.out.println(ReplySetExample.NAME + " (subscriber): " + s); }      
   private static long SLEEP = 3000;
   private void pause() { try { Thread.sleep(SLEEP); } catch (InterruptedException ie) { } }
}




