/*
 * @(#)Worker1.java
 *
 * (c) Copyright Danny B. Lange & Mitsuru Oshima, 1998
 *
 * THIS ROGRAM IS PROVIDED "AS IS" WITHOUT ANY WARRANTY 
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, 
 * THE WARRANTY OF NON-INFRINGEMENT AND THE WARRANTIES 
 * OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * THE AUTHORS WILL NOT BE LIABLE FOR ANY DAMAGES SUFFERED 
 * BY YOU AS A RESULT OF USING THIS SAMPLE PROGRAM. IN NO 
 * EVENT WILL THE AUTHORS BE LIABLE FOR ANY SPECIAL, 
 * INDIRECT CONSEQUENTIAL DAMAGES OR LOST PROFITS EVEN IF 
 * THE AUTHORS HAS BEEN ADVISED OF THE POSSIBILITY OF 
 * THEIR OCCURRENCE OR LOSS OF OR DAMAGE TO YOUR RECORDS 
 * OR DATA. THE AUTHORS WILL NOT BE LIABLE FOR ANY THIRD 
 * PARTY CLAIMS AGAINST YOU.
 */

package agletbook;

import com.ibm.aglet.*;
import com.ibm.aglet.event.*;
import java.net.*;

public class Worker1 extends Aglet {

   AgletProxy parent = null;

   public void onCreation(Object init) {
      parent = (AgletProxy)init;
      addMobilityListener(
         new MobilityAdapter() {
            public void onArrival(MobilityEvent me) {
	       try {
		  print("Sending...");
	          parent.sendMessage(new Message("Result", doTask()));
		  dispose();
	       } catch (Exception e) {
	          print("Failed to send message with result.");
		  print(e.getMessage());
	       }
	    }
	 }
      );
   }

   public Object doTask() {
      return null;
   }

   static public String NAME = "Worker1";
   void print(String s) { System.out.println(NAME + ": " + s); }
   static long SLEEP = 3000;
   void pause() { try { Thread.sleep(SLEEP); } catch (InterruptedException ie) { } }
}






